import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

// 引用路由守卫
import { authGuard } from 'src/modules/user/auth.guard';
import { JingdianPage } from './jingdian/jingdian.page';


const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  { 
    path: 'jingdian', component: JingdianPage
  },
  {
    path: 'tab3',
    // 此处增加路由守卫
    canActivate:[authGuard],
    loadChildren: () => import('../modules/contact/contact-list/contact-list.module').then(mod => mod.ContactListPageModule)
},
  {
    path: 'user',
    loadChildren: () => import('../modules/user/user.module').then(m => m.UserModule)
  },
  {
    path: 'jingdian',
    loadChildren: () => import('./jingdian/jingdian.module').then( m => m.JingdianPageModule)
  },
  {
    path: 'jiudian',
    loadChildren: () => import('./jiudian/jiudian.module').then( m => m.JiudianPageModule)
  },
  {
    path: 'feiji',
    loadChildren: () => import('./feiji/feiji.module').then( m => m.FeijiPageModule)
  },
  {
    path: 'huoche',
    loadChildren: () => import('./huoche/huoche.module').then( m => m.HuochePageModule)
  },
  {
    path: 'xiaoxi',
    loadChildren: () => import('./xiaoxi/xiaoxi.module').then( m => m.XiaoxiPageModule)
  }
];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}




