import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { IonRouterOutlet } from '@ionic/angular';

@Component({
  selector: 'app-xiaoxi',
  templateUrl: './xiaoxi.page.html',
  styleUrls: ['./xiaoxi.page.scss'],
})
export class XiaoxiPage {

  chatObjectName: string = '对方昵称';
  messages: any[] = [
    { senderName: '对方', senderAvatar: 'path/to/avatar.jpg', text: '你好！' },
    { senderName: '我', senderAvatar: 'path/to/avatar.jpg', text: '你好！' }
  ];
  newMessage: string = '';

  constructor(private router: Router, private ionRouterOutlet: IonRouterOutlet) {
    this.ionRouterOutlet.swipeGesture = false;
  }

  ionViewWillEnter() {
    this.ionRouterOutlet.swipeGesture = false;
  }

  sendMessage() {
    this.messages.push({ senderName: '我', senderAvatar: 'path/to/avatar.jpg', text: this.newMessage });
    this.newMessage = '';
  }
}